Announcing the ActionScript Code Coverage Plugin for Flash Builder

We are very excited to share with the ActionScript community an ActionScript Code Coverage Plugin for Flash Builder 4. This plugin provides an Eclipse perspective that allows you to start/stop the code coverage tool, view generated code-coverage reports, examine source code and save/load reports. Typically developers will use the code coverage tool to see which areas of code have not been exercised during execution so that additional testing requirements can be identified.

The tool provides detailed line coverage and method coverage reporting, as well as highlighting classes that are not linked into the application. You can use the ActionScript Code Coverage Plug-in for Flash Builder with applications developed in ActionScript 3, optionally using either Flex SDK 3.x or Flex SDK 4.x, targeting both Adobe Flash Player and Adobe AIRĀ®. A trial or licensed version of Adobe Flash Builder 4 Premium is required to use the ActionScript Code Coverage Plug-in.

You can access the plugin on Adobe Labs here, read documentation around using and configuring the code-coverage tool, and provide feedback via the code-coverage forum.